Skip to main content
PUT
/
v1
/
webhooks
/
{id}
Atualizar webhook
curl --request PUT \
  --url https://api.notifique.dev/v1/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "instanceIds": [
    "<string>"
  ],
  "enabled": true
}
'
{
  "success": true,
  "data": {
    "id": "<string>",
    "workspaceId": "<string>",
    "name": "<string>",
    "url": "<string>",
    "secret": "<string>",
    "events": [
      "<string>"
    ],
    "instanceIds": [
      "<string>"
    ],
    "enabled": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer sk_live_xxxxx

Path Parameters

id
string
required

Body

application/json
name
string
required
Maximum string length: 1024
url
string<uri>
required
Maximum string length: 2048
events
string[]
required
Minimum array length: 1
Maximum string length: 64
instanceIds
string[]
enabled
boolean

Response

Webhook atualizado.

success
boolean
required
Example:

true

data
object
required